Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMComplexExtension

    java.lang.Object
      com.bea.schema.SOMObject
          com.bea.schema.SOMExtension
              com.bea.schema.SOMComplexExtension

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SOMComplexRestriction

public class SOMComplexExtension
extends SOMExtension

<extension> This class acts as a wrapper to extension elements for complexContent.

Since:
  9/1/2001
Version:
  1.0
Author:
  sharpe
See Also:
  Serialized Form

Constructor Summary
`SOMComplexExtension(SOMType base)` Constructs a new <extension> element of a given base type.

Method Summary
`SOMAll` | `addAll()`
`SOMChoice` | `addChoice()`
`SOMGroup` | `addGroup()`
`SOMSequence` | `addSequence()`
`void` | `createDefault(DefaultDocumentOptions options, Element current)` Not implemented.
`SOMGroupType` | `getGroup()`
`SOMGroupType` | `removeGroup()`
`void` | `setBase(String type)` performs a type lookup for the type name.
`SOMGroupType` | `setGroup(SOMGroupType group)`
`void` | `toXML(Writer rtn, int indent)` Outputs a formatted XML representation of SOMObject.

Methods inherited from class com.bea.schema.SOMExtension
`addAnnotation, addAttribute, addAttribute, addAttribute, addAttributeGroup, contains, getAnnotation, getAttributeElements, getAttributeGroups, getAttributes, getBase, getID, listAttributesExtended, removeAllAttributeGroups, removeAllAttributes, removeAnnotation, removeAttribute, removeAttributeGroup, setBase`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getPrefixMapping, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, msg, msg, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, setTargetNamespace, toString, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMComplexExtension

    public SOMComplexExtension(SOMType base)

  Constructs a new <extension> element of a given base type.

Parameters:
  `base` - type to be extended.

Method Detail

### setBase

    public void setBase(String type)

  performs a type lookup for the type name.

  Overrides:
    `setBase` in class `SOMExtension`
  Parameters:
    `type` - type name to lookup

### getGroup

    public SOMGroupType getGroup()

### setGroup

    public SOMGroupType setGroup(SOMGroupType group)

### addSequence

    public SOMSequence addSequence()

### addChoice

    public SOMChoice addChoice()

### addAll

    public SOMAll addAll()

### addGroup

    public SOMGroup addGroup()

### removeGroup

    public SOMGroupType removeGroup()

### toXML

    public void toXML(Writer rtn,
                      int indent)
               throws IOException

  Description copied from class: `SOMObject`
  Outputs a formatted XML representation of SOMObject.

  Overrides:
    `toXML` in class `SOMExtension`
  Throws:
    `IOException`

### createDefault

    public void createDefault(DefaultDocumentOptions options,
                              Element current)

  Not implemented.

  Overrides:
    `createDefault` in class `SOMExtension`
  Parameters:
    `options` -
    `current` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD